Summary: A cross-platform multimedia library
Name: SDL
Version: 1.2.14
Release: 3%{?dist}
# Source: http://www.libsdl.org/release/%{name}-%{version}.tar.gz
# To create the repackaged archive use repackage.sh %{version}
Source: %{name}-%{version}_repackaged.tar.gz
# The license of the file src/video/fbcon/riva_mio.h is bad, but the contents
# of the file has been relicensed to MIT in 2008 by Nvidia for the 
# xf86_video-nv driver, therefore it can be considered ok.
Source1: SDL_config.h
Source2: repackage.sh
Patch0: SDL-1.2.14-byteorder.patch
Patch1: SDL-1.2.12-multilib.patch
Patch2: SDL-1.2.12-disable_yasm.patch
Patch3: SDL-1.2.14-audiodriver.patch
# From upstream <http://bugzilla.libsdl.org/show_bug.cgi?id=894>, rh640682
Patch4: SDL-1.2.14-x11_grab_down_button.patch
# Newer Linux has bigger structure for joystick, in upstream, sdl900, rh640694
Patch5: SDL-1.2.14-linux_2.6_joystick.patch
# Do not call memcpy() on overlapping areas, in upstream, sdl1090, rh678569
Patch6: SDL-1.2.14-SDL_BlitCopyOverlap_memcpy.patch
# Rejected by upstream as sdl1155, rh733605
Patch7: SDL-1.2.10-GrabNotViewable.patch

URL: http://www.libsdl.org/
License: LGPLv2+
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: arts-devel audiofile-devel
BuildRequires: esound-devel alsa-lib-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: libXext-devel libX11-devel
BuildRequires: libGL-devel libGLU-devel
BuildRequires: libXrender-devel libXrandr-devel gettext-devel
BuildRequires: automake autoconf libtool
%ifarch %{ix86}
BuildRequires: nasm
%endif

%description
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.

%package devel
Summary: Files needed to develop Simple DirectMedia Layer applications
Group: Development/Libraries
Requires: SDL = %{version}-%{release} alsa-lib-devel
Requires: libX11-devel
Requires: libXext-devel
Requires: libGL-devel
Requires: libGLU-devel
Requires: libXrender-devel
Requires: libXrandr-devel
Requires: pkgconfig
Requires: automake

%description devel
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device. This package provides the libraries, include files, and other
resources needed for developing SDL applications.

%package static
Summary: Files needed to develop static Simple DirectMedia Layer applications
Group: Development/Libraries
Requires: SDL-devel = %{version}-%{release}

%description static
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device. This package provides the static libraries needed for developing
static SDL applications.

%prep
%setup -q 
%patch0 -p1 -b .byteorder
%patch1 -p1 -b .multilib
%patch2 -p1 -b .disable_yasm
%patch3 -p1 -b .audiodriver
%patch4 -p1 -b .x11_grab_down_button
%patch5 -p1 -b .linux_2.6_joystick
%patch6 -p1 -b .SDL_BlitCopyOverlap_memcpy
%patch7 -p0 -b .grabnotviewable

%build
aclocal
libtoolize
autoconf
%configure \
   --disable-video-svga --disable-video-ggi --disable-video-aalib \
   --enable-sdl-dlopen \
   --enable-arts-shared \
   --enable-esd-shared \
   --enable-pulseaudio-shared \
   --enable-alsa \
   --disable-video-ps3 \
   --disable-rpath
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

# Rename SDL_config.h to SDL_config-<arch>.h to avoid file conflicts on
# multilib systems and install SDL_config.h wrapper
mv %{buildroot}/%{_includedir}/SDL/SDL_config.h %{buildroot}/%{_includedir}/SDL/SDL_config-%{_arch}.h
install -m644 %{SOURCE1} %{buildroot}/%{_includedir}/SDL/SDL_config.h

# remove libtool .la file
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README-SDL.txt COPYING CREDITS BUGS
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc README WhatsNew docs.html docs/html
%doc docs/index.html
%{_bindir}/*-config
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/sdl.pc
%{_includedir}/SDL
%{_datadir}/aclocal/*
%{_mandir}/man3/SDL*.3*

%files static
%defattr(-,root,root)
%{_libdir}/lib*.a


%changelog

